## ros-indigo-gridmap-2d 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(gridmap_2d)

find_package(catkin REQUIRED COMPONENTS nav_msgs)

find_package(OpenCV REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
)

include_directories(include ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME} src/GridMap2D.cpp)

#define some target ...
target_link_libraries(${PROJECT_NAME} ${OpenCV_LIBS})

# install
install(TARGETS ${PROJECT_NAME}
        DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
) 

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

=== debian/changelog ===
ros-indigo-gridmap-2d (0.4.1-2trusty) trusty; urgency=high

  * Added include files for footstep_planner and gridmap_2d for install.
  * gridmap_2d : OpenCV migration for indigo.
  * gridmap_2d: Adding conversion back to OccupancyGrid msg
  * gridmap_2d: adding external access to individual cells, allow recomputation of distance map
  * catkinize the stack
  * gridmap_2d: Add option to treat unknown as obstacle
  * Adding copy c'tor to gridmap_2d, humanoid_planner_2d using local map copy now
  * gridmap_2d: Fix map inflation
  * Contributors: Armin Hornung, Pramuditha Aravinda, Vincent Rabaud, enriquefernandez

 -- Armin Hornung <HornungA@informatik.uni-freiburg.de>  Sun, 04 Sep 2016 18:30:00 -0000

ros-indigo-gridmap-2d (0.4.0-2trusty) trusty; urgency=high

  * moved gridmap_2d into own namespace
  * Contributors: Armin Hornung

 -- Armin Hornung <HornungA@informatik.uni-freiburg.de>  Wed, 09 Jan 2013 18:30:00 -0000

ros-indigo-gridmap-2d (0.3.1-2trusty) trusty; urgency=high

  * Fixed gridmap_2d and footstep_planner to be used with ros fuerte and sbpl package
  * Contributors: Armin Hornung

 -- Armin Hornung <HornungA@informatik.uni-freiburg.de>  Thu, 14 Jun 2012 18:30:00 -0000

ros-indigo-gridmap-2d (0.3.0-2trusty) trusty; urgency=high

  * humanoid_navigation now compatible with electric and fuerte
  * Contributors: Armin Hornung

 -- Armin Hornung <HornungA@informatik.uni-freiburg.de>  Mon, 28 May 2012 18:30:00 -0000

ros-indigo-gridmap-2d (0.2.0-2trusty) trusty; urgency=high

  * added foundation for map change detection
  * fixed invalid states appearing on border of map during expansion
  * Contributors: Armin Hornung

 -- Armin Hornung <HornungA@informatik.uni-freiburg.de>  Sun, 27 Nov 2011 18:30:00 -0000

ros-indigo-gridmap-2d (0.1.0-2trusty) trusty; urgency=high

  * Replace gridmap2D with other  cv::Mat
  * Added a few more accessors to Gridmap2D
  * Fixed OpenCV deprecation warnings
  * Bugfix: x/y swapped in GridMap2D
  * Contributors: Armin Hornung

 -- Armin Hornung <HornungA@informatik.uni-freiburg.de>  Mon, 02 May 2011 18:30:00 -0000

=== debian/control ===
Source: ros-indigo-gridmap-2d
Section: misc
Priority: extra
Maintainer: Armin Hornung <HornungA@informatik.uni-freiburg.de>
Build-Depends: debhelper (>= 9.0.0), libopencv-dev, ros-indigo-catkin, ros-indigo-nav-msgs, ros-indigo-rosconsole
Homepage: http://ros.org/wiki/gridmap_2d
Standards-Version: 3.9.2

Package: ros-indigo-gridmap-2d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev, ros-indigo-nav-msgs, ros-indigo-rosconsole
Description: gridmap_2d - a simple 2D gridmap structure, based on OpenCV's cv::Mat

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-gridmap-2d//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
